package com.lightinit.hsdataplatform.model.admin;

import java.util.Date;

public class AuthorizationViewModel {

    private Long id ;

    private Long publishSettingId ;

    //申请资源
    private String resourceName ;

    //资源类型
    private String resourceType ;

    //共享开放类型
    private String openType ;
    private String shareType ;

    //申请时间
    private Date applyTime ;

    //申请用户类型
    private String platfromType ;

    //申请用户
    private String applierName ;

    //申请理由
    private String applyReason ;

    //处理人
    private String auditedByName ;

    //状态
    private String authState  ;

    //授权部门
    private String auditedBySector ;

    //授权审核意见
    private String auditOpinion ;

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getPlatfromType() {
        return platfromType;
    }

    public void setPlatfromType(String platfromType) {
        this.platfromType = platfromType;
    }

    public String getApplierName() {
        return applierName;
    }

    public void setApplierName(String applierName) {
        this.applierName = applierName;
    }

    public String getApplyReason() {
        return applyReason;
    }

    public void setApplyReason(String applyReason) {
        this.applyReason = applyReason;
    }

    public String getAuditedByName() {
        return auditedByName;
    }

    public void setAuditedByName(String auditedByName) {
        this.auditedByName = auditedByName;
    }

    public String getAuthState() {
        return authState;
    }

    public void setAuthState(String authState) {
        this.authState = authState;
    }

    public String getAuditedBySector() {
        return auditedBySector;
    }

    public void setAuditedBySector(String auditedBySector) {
        this.auditedBySector = auditedBySector;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPublishSettingId() {
        return publishSettingId;
    }

    public void setPublishSettingId(Long publishSettingId) {
        this.publishSettingId = publishSettingId;
    }
}
